function setCookie(cname, cvalue, exdays) {
	var d = new Date();
	d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
	var expires = "expires=" + d.toGMTString();
	document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function getCookie(cname) {
	var name = cname + "=";
	var decodedCookie = decodeURIComponent(document.cookie);
	var ca = decodedCookie.split(';');
	for (var i = 0; i < ca.length; i++) {
		var c = ca[i];
		while (c.charAt(0) == ' ') {
			c = c.substring(1);
		}
		if (c.indexOf(name) == 0) {
			return c.substring(name.length, c.length);
		}
	}
	return "";
}

function deleteCookie(name) {
    document.cookie = name + '=; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
}

function HighlightSelectedMenu() {   

    var url = window.location.pathname.split("/");
    var controllerName = url[1];
    if (controllerName == "Account")
    {
        controllerName = url[2];
    }    

    if (controllerName != "") {
        $(".navbar-nav > li").each(function () {
            if ($(this).text().search(controllerName) > -1) {
                $(this).addClass('active');                
            }
        });
    }

    $(document).on('click', '.navbar-nav a', function (e) {
        $(this).parent().closest("li").addClass('active').siblings().removeClass('active');
        var currentext = $(this).parent().closest("li").text().trim();        
    });
}
